Create billing profile
curl --request POST \
--url https://api.opencard.io/api/v1/application/accounts/{accountId}/billings \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name_display": "Acme AB",
"name_legal": "Acme AB",
"organization_number": "5561234567",
"country": "SE"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name_display: 'Acme AB',
name_legal: 'Acme AB',
organization_number: '5561234567',
country: 'SE'
})
};
fetch('https://api.opencard.io/api/v1/application/accounts/{accountId}/billings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.opencard.io/api/v1/application/accounts/{accountId}/billings"
payload = {
"name_display": "Acme AB",
"name_legal": "Acme AB",
"organization_number": "5561234567",
"country": "SE"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.opencard.io/api/v1/application/accounts/{accountId}/billings",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name_display' => 'Acme AB',
'name_legal' => 'Acme AB',
'organization_number' => '5561234567',
'country' => 'SE'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"id": 1,
"name_display": "Acme AB"
}Billings
Create billing profile
POST
/
accounts
/
{accountId}
/
billings
Create billing profile
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
Your account ID
Body
application/json
Response
201 - application/json
Billing created
⌘I

